Reference
This explains the information to refer to when using the matchmaking API.
Error code
If the match-making API request is not processed correctly, it provides a separate error code in addition to the HTTP response status code to help identify the cause.
The error code can be checked as a response value for each matchmaking API request, and is structured in the following JSON data format.
// 예시)
{
"code": 11001,
"reason": "already group member"
}
Note
In the error code response, the value of each code is fixed, but the reason (error cause) may be modified according to API updates.
The types of error codes provided according to the API response error are as follows.
General error codes
| Code | Description |
| 1000 | Internal server system error |
| 1001 | There is a validity issue with the value of body in the request data |
| 1002 | API server error |
| 1100 | In APIs using HTTP METHOD - GET, if a required PARAM value is missing |
API authentication error codes
| Code | Description |
| 2000 | Hive Certification Key is missing |
| 2001 | The value of Hive Certification Key is incorrect |
| 2002 | The value of gameIndex is incorrect |
| 2100 | This API is not available |
| 2200 | No data available for authentication verification |
| 2201 | If the data used for authentication verification is in an unsupported format |
| 2300 | The data used for Hive SDK authentication is incorrect |
| 2310 | Not a registered appId |
| 2320 | Failed to make the actual Hive SDK Auth request |
API common crror codes
| Code | Description |
| 3000 | Failed to obtain information about the API user |
| 3001 | Unable to retrieve gameIndex value from API Path |
| 3002 | Unable to retrieve matchId information from API Path |
| 3003 | Cannot read the contents of the request body (parsing issue) |
| 3004 | Unable to obtain playerId information from the request |
| 3005 | Unable to obtain targetPlayerId information from the request |
| Code | Description |
| 4000 | Unable to retrieve matchId information |
| 4001 | Unable to obtain gameIndex value from API Path |
| 4100 | Incorrect information required for creating or modifying matchId |
| Code | Description |
| 10000 | Matching request is already in progress (duplicate request) |
| 10100 | When deleting a matching request, there is no request to delete |
| Code | Description |
| 11000 | Not part of the group |
| 11001 | Already in a group |
| 11002 | Not a member of this group |
| 11003 | Not the group leader |
| 11004 | Cannot find the group corresponding to the entered code |
| 11005 | Cannot be used while belonging to a group |
| 11006 | Cannot be used during (group) matching |
| 11100 | Cannot create while (individual) matching is in progress |
| 11101 | Cannot create if not team matching |
| 11200 | Group matching in progress (duplicate) |
| 11201 | There are unprepared members |
| 11202 | No other members (request not possible alone) |
| 11300 | Cannot change due to ongoing matching |
| 11301 | Group leader cannot be changed |
| 11400 | Cannot participate as members are full |
| 11401 | Cannot participate due to restrictions based on matching rules (scores, etc.) |
| 11402 | matchId cannot participate in another group |
| 11500 | Prepared members cannot leave |
| 11600 | No matching request to delete |
| 11700 | Group leader cannot forcibly expel |